.root {
	position: relative;
}

.root::before{
		content: '';
		display: block;
		padding-top: 56.25%;

}

.playBtnbtn {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);

	background: red;
	border-radius: 50% / 10%;
	border: none;
	color: #FFFFFF;
	font-size: 1em; /* change this to change size */
	height: 3em;
	margin: 0 auto;
	padding: 0;
	text-align: center;
	text-indent: 0.1em;
	transition: all 150ms ease-out;
	width: 4em;
	cursor: pointer;
}

@media (min-width:768px) {
	.playBtnbtn {
		font-size: 1.5em; /* change this to change size */
	}	
}

@media (min-width: 1280px) {
	.playBtnbtn {
		font-size: 1.9em; /* change this to change size */
	}	
}

.playBtnbtn:before {
	background: inherit;
	border-radius: 5% / 50%;
	bottom: 9%;
	content: "";
	left: -5%;
	position: absolute;
	right: -5%;
	top: 9%;
}

.playBtnbtn:after {
	border-style: solid;
	border-width: 1em 0 1em 1.732em;
	border-color: transparent transparent transparent #fff;
	content: ' ';
	font-size: 0.65em;
	height: 0;
	margin: -1em 0 0 -0.75em;
	top: 50%;
	position: absolute;
	width: 0;
}

.poster,
.video {
	position: absolute;
	top: 0;
	left: 0;
	user-select: none;
	width: 100%;
	height: 100%;
}
.poster img{
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	object-fit: cover;
	object-position: top center;
}

.playing iframe{
	opacity: 1;
}
.playing .poster{
	opacity: 0;
}

.playing::after{
	content: '';
	display: block;
	position: absolute;
	z-index: 2;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	width: 100%;
	height: 100%;
}
